Update order

Update an existing order

PUT
/stores/orders/{orderId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

orderIdstring

ID of the order

Update order input

idstring
licenseKey?string
paymentMethod?string
status?string

Use string instead of OrderStatus

transactionId?string

Response Body

curl -X PUT "https://eu1.api.bivariant.com/v1/stores/orders/string" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{
  "artifactId": "string",
  "buyerId": "string",
  "commission": "string",
  "createdAt": "string",
  "currency": "string",
  "expiresAt": "string",
  "id": "string",
  "licenseKey": "string",
  "orderNumber": "string",
  "paidAt": "string",
  "paymentMethod": "string",
  "pricingPlanId": "string",
  "status": "pending",
  "storeId": "string",
  "subtotal": "string",
  "tax": "string",
  "total": "string",
  "transactionId": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}